@import url('https://fonts.googleapis.com/css?family=Source+Sans+Pro:regular,bold,italic&subset=latin,latin-ext');

@tailwind base;


/* EcoLoop Styles {{ */

/* EcoLoop: Basic Elements */

.el-heading {
  @apply font-semibold text-gray-700
}

h1.el-heading {
  @apply text-3xl
}

h2.el-heading {
  @apply text-2xl
}

h3.el-heading {
  @apply text-xl
}

h4.el-heading {
  @apply text-xl
}

a.el-link {
  @apply hover:underline hover:text-secondary-700
}

div.el-panel  {
  @apply p-4 rounded-md border-2 border-gray-200
}

div.el-pane  {
  @apply p-4 rounded-md shadow-md bg-white dark:bg-gray-800
}

.el-btn {
  @apply inline-flex items-center px-3 py-1.5 text-sm font-medium text-center rounded  focus:ring-4
}

/* }} EcoLoop Styles */

/**
 * For HTML generated from MDX. MDX must be enclosed in <article>
 * Referenced from: https://github.com/iandinwoodie/github-markdown-tailwindcss/blob/master/markdown.css
 */

article h1 {
  @apply pt-3 leading-relaxed text-4xl text-gray-600 font-extrabold;
}

article h2 {
  @apply pt-2 leading-relaxed text-3xl text-gray-600 font-bold;
}

article h3 {
  @apply pt-3 leading-relaxed text-2xl text-gray-500;
}

article h4 {
  @apply pt-2 leading-relaxed text-lg text-gray-500;
}

article p {
  @apply leading-relaxed my-3
}

article ul {
  @apply text-base pl-8 list-disc my-3;
}

article ol {
  @apply text-base pl-8 list-decimal;
}

article table {
  @apply text-base border-gray-600;
}

article th {
  @apply border py-1 px-3;
}

article td {
  @apply border py-1 px-3;
}

article blockquote {
  @apply px-4 bg-indigo-50 rounded-md;
}

article a {
  @apply underline;
}

article a:hover {
  @apply underline text-blue-500;
}

/* To prevent collision with prism syntax-highlighting */
/* .code-highlight is from prism syntax highlighter,  
 * .language-json is from swagger
 */
code:not(:where(.code-highlight, .language-json))  {
  @apply border-2 border-gray-300 bg-gray-100 px-1 rounded-md
}



@tailwind components;
@tailwind utilities;
